Skip to main content
POST
Remove Campaign Entitlements

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

access_review_id
string
required

The ID of the access review campaign to remove entitlements from.

Body

application/json

The AccessReviewRemoveCampaignEntitlementsRequest message.

entitlements
Access Review Setup Entitlement Input · object[] | null

The entitlements to remove. Entitlements that are not selected are ignored.

Response

200 - application/json

Successful response

The AccessReviewRemoveCampaignEntitlementsResponse message.

entitlementCount
integer<int32>

The total number of entitlements selected for the campaign after this call.

removedCount
integer<int32>

The number of entitlements from the request that were selected and are now removed.